package com.curiam.client.llamada;

import com.curiam.client.datos.CaseBeanTPB;
import com.curiam.client.datos.ResultBeanTPB;
import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

/**
 * The client side stub for the RPC service.
 */
@RemoteServiceRelativePath("greet")
public interface GreetingService extends RemoteService {
	ResultBeanTPB greetServer(CaseBeanTPB caseBeanTPB);

	String leerFichero(String ruta);

	Boolean guardarEnFichero(String ruta, String ruta2);

	Boolean ubicarfichero(String imagen, String string, String user);

	Boolean crearDirectorio(String ruta);

	Boolean eliminarFichero(String string);
}
